stages:
  - build
  - deploy

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'

build:
  stage: build
  script:
    - echo "Building Docker image..."
    - docker build -t travelmarine-frontend:latest .

deploy:
  stage: deploy
  needs: ["build"]
  script:
    - echo "Restarting container..."
    - docker ps -a --filter 'name=^/travelmarine-frontend$' --format '{{.Names}}' | grep -q '^travelmarine-frontend$' && docker rm -f travelmarine-frontend || true
    - docker run -d --name travelmarine-frontend --restart unless-stopped -p 127.0.0.1:3000:3000 travelmarine-frontend:latest
  when: on_success
